Skip to content

Update Campaign Dynamic Budget Allocation

Request

This end point is restricted to a specific service account

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodyapplication/json
Array [
idintegerrequired

campaign id

dynamic_budget_allocation_appliedstring or null, (date-time)
dynamic_budget_allocation_availablestring or null, (date-time)
]
curl -i -X POST \
  https://api.mediamath.com/api/v3.0/campaign_dba \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "id": 0,
      "dynamic_budget_allocation_applied": "2019-08-24T14:15:22Z",
      "dynamic_budget_allocation_available": "2019-08-24T14:15:22Z"
    }
  ]'

Responses

Dba bulk response

Bodyapplication/json
dataArray of objects(dba)
metaobject(pagination metadata)
Response
{ "data": [ { … } ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }